%define module_release          alt6.6
		
%define module_version          141
%define module_name             dc395

%define kversion                2.4.26
%define krelease                alt6
%define flavour                 std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: %module_name modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware
Url: http://www.garloff.de/kurt/linux/dc395/

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
BuildRequires: modutils
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
%module_name is a Linux kernel module that provides support for
the dc395x_trm SCSI driver.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
cp -f %_usrsrc/linux-%kversion-%flavour/gcc_version.inc ./
make KDIR=%_usrsrc/linux-%kversion-%flavour

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
cp -a *.o $RPM_BUILD_ROOT/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 141-alt6.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 141-alt5.6
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 141-alt4.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 141-alt3.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 141-alt2.6
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Mon Oct 20 2003 Sergey Vlasov <vsu@altlinux.ru> 141-alt1.6
- Imported into CVS

* Thu Oct 16 2003 Alexei Takaseev <taf@altlinux.ru> 141-alt1.6
- First build for Sisyphus

